--- old/usr/src/lib/libbrand/common/libbrand.c	2015-11-11 10:43:15.666939613 -0500
+++ new/usr/src/lib/libbrand/common/libbrand.c	2015-11-11 10:43:15.671640404 -0500
@@ -23,6 +23,7 @@
  * Copyright (c) 2006, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright (c) 2011, Joyent, Inc. All rights reserved.
  * Copyright 2014 Nexenta Systems, Inc. All rights reserved.
+ * Copyright 2015 Josef 'Jeff' Sipek <jeffpc@josefsipek.net>
  */
 
 #include <assert.h>
@@ -85,6 +86,7 @@
 
 #define	DTD_ATTR_ALLOWEXCL	((const xmlChar *) "allow-exclusive-ip")
 #define	DTD_ATTR_ARCH		((const xmlChar *) "arch")
+#define	DTD_ATTR_AUTO_CREATE_BE	((const xmlChar *) "auto-create-be")
 #define	DTD_ATTR_DIRECTORY	((const xmlChar *) "directory")
 #define	DTD_ATTR_IPTYPE		((const xmlChar *) "ip-type")
 #define	DTD_ATTR_MATCH		((const xmlChar *) "match")
@@ -99,6 +101,7 @@
 #define	DTD_ATTR_TYPE		((const xmlChar *) "type")
 
 #define	DTD_ENTITY_TRUE		"true"
+#define	DTD_ENTITY_FALSE	"false"
 
 static volatile boolean_t	libbrand_initialized = B_FALSE;
 static char			i_curr_arch[MAXNAMELEN];
@@ -753,6 +756,34 @@
 
 	return (ret);
 }
+
+boolean_t
+brand_auto_create_be(brand_handle_t bh)
+{
+	struct brand_handle	*bhp = (struct brand_handle *)bh;
+	xmlNodePtr		node;
+	xmlChar			*auto_create_be;
+	boolean_t		ret;
+
+	assert(bhp != NULL);
+
+	if ((node = xmlDocGetRootElement(bhp->bh_platform)) == NULL)
+		return (B_FALSE);
+
+	auto_create_be = xmlGetProp(node, DTD_ATTR_AUTO_CREATE_BE);
+	if (auto_create_be == NULL)
+		return (B_FALSE);
+
+	/* Note: only return B_FALSE if it's "false" */
+	if (strcmp((char *)auto_create_be, DTD_ENTITY_FALSE) == 0)
+		ret = B_FALSE;
+	else
+		ret = B_TRUE;
+
+	xmlFree(auto_create_be);
+
+	return (ret);
+}
 
 /*
  * Iterate over brand privileges
